WinBase.SYSTEM_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: SYSTEM_INFO

Package com.sun.jna.platform.win32

# Class WinBase.SYSTEM_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.SYSTEM_INFO

Enclosing interface:
  WinBase

@FieldOrder({"processorArchitecture","dwPageSize","lpMinimumApplicationAddress","lpMaximumApplicationAddress","dwActiveProcessorMask","dwNumberOfProcessors","dwProcessorType","dwAllocationGranularity","wProcessorLevel","wProcessorRevision"}) public static class WinBase.SYSTEM_INFO extends Structure
Contains information about the current computer system. This includes the architecture and type of the processor, the number of processors in the system, the page size, and other such information.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinBase.SYSTEM_INFO.PI`
  Unnamed inner structure.
  `static class`
  `WinBase.SYSTEM_INFO.UNION`
  Unnamed inner union.

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `BaseTSD.DWORD_PTR`
  `dwActiveProcessorMask`
  Mask representing the set of processors configured into the system.
  `WinDef.DWORD`
  `dwAllocationGranularity`
  Granularity for the starting address at which virtual memory can be allocated.
  `WinDef.DWORD`
  `dwNumberOfProcessors`
  Number of processors in the system.
  `WinDef.DWORD`
  `dwPageSize`
  Page size and the granularity of page protection and commitment.
  `WinDef.DWORD`
  `dwProcessorType`
  An obsolete member that is retained for compatibility with Windows NT 3.5 and Windows Me/98/95.
  `Pointer`
  `lpMaximumApplicationAddress`
  Pointer to the highest memory address accessible to applications and DLLs.
  `Pointer`
  `lpMinimumApplicationAddress`
  Pointer to the lowest memory address accessible to applications and dynamic-link libraries (DLLs).
  `WinBase.SYSTEM_INFO.UNION`
  `processorArchitecture`
  Processor architecture (unnamed union).
  `WinDef.WORD`
  `wProcessorLevel`
  System's architecture-dependent processor level.
  `WinDef.WORD`
  `wProcessorRevision`
  Architecture-dependent processor revision.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SYSTEM_INFO()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### processorArchitecture

    public WinBase.SYSTEM_INFO.UNION processorArchitecture
    Processor architecture (unnamed union).

  - ### dwPageSize

    public WinDef.DWORD dwPageSize
    Page size and the granularity of page protection and commitment.

  - ### lpMinimumApplicationAddress

    public Pointer lpMinimumApplicationAddress
    Pointer to the lowest memory address accessible to applications and dynamic-link libraries (DLLs).

  - ### lpMaximumApplicationAddress

    public Pointer lpMaximumApplicationAddress
    Pointer to the highest memory address accessible to applications and DLLs.

  - ### dwActiveProcessorMask

    public BaseTSD.DWORD_PTR dwActiveProcessorMask
    Mask representing the set of processors configured into the system. Bit 0 is processor 0; bit 31 is processor 31.

  - ### dwNumberOfProcessors

    public WinDef.DWORD dwNumberOfProcessors
    Number of processors in the system.

  - ### dwProcessorType

    public WinDef.DWORD dwProcessorType
    An obsolete member that is retained for compatibility with Windows NT 3.5 and Windows Me/98/95. Use the wProcessorArchitecture, wProcessorLevel, and wProcessorRevision members to determine the type of processor. PROCESSOR_INTEL_386 PROCESSOR_INTEL_486 PROCESSOR_INTEL_PENTIUM

  - ### dwAllocationGranularity

    public WinDef.DWORD dwAllocationGranularity
    Granularity for the starting address at which virtual memory can be allocated.

  - ### wProcessorLevel

    public WinDef.WORD wProcessorLevel
    System's architecture-dependent processor level. It should be used only for display purposes. To determine the feature set of a processor, use the IsProcessorFeaturePresent function. If wProcessorArchitecture is PROCESSOR_ARCHITECTURE_INTEL, wProcessorLevel is defined by the CPU vendor. If wProcessorArchitecture is PROCESSOR_ARCHITECTURE_IA64, wProcessorLevel is set to 1.

  - ### wProcessorRevision

    public WinDef.WORD wProcessorRevision
    Architecture-dependent processor revision.

- ## Constructor Details

  - ### SYSTEM_INFO

    public SYSTEM_INFO()